## org.apache.lucene.search
Interface FieldCache.IntParser

All Superinterfaces:
  FieldCache.Parser, java.io.Serializable

Enclosing interface:
  FieldCache

    public static interface FieldCache.IntParser

extends FieldCache.Parser

Interface to parse ints from document fields.

See Also:
  `FieldCache.getInts(IndexReader, String, FieldCache.IntParser)`

Method Summary
`int` `parseInt(java.lang.String string)` Return an integer representation of this field's value.

Method Detail

### parseInt

    int parseInt(java.lang.String string)

  Return an integer representation of this field's value.

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.